=== debian/control ===
Source: mupen64plus-video-z64
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-z64.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-z64.git
Build-Depends:
 debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 hardening-includes,
 libgl1-mesa-dev | libgl-dev,
 libglew1.6-dev | libglew-dev,
 libmupen64plus-dev,
 libsdl1.2-dev,
 pkg-config,

Package: mupen64plus-video-z64
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 mupen64plus-rsp-z64,
 mupen64plus-video-abi-1,
Provides:
 mupen64plus-video,
Description: low-level rdp emulation for mupen64plus
 N64 Reality Drawing Processor emulation which can be used with a low-level
 rsp emulation plugin like mupen64plus-rsp-z64. It can emulate even unknown or
 uncommon microcodes, but cannot benefit from faster implementation for the
 host cpu.
 .
 A fast processor and graphics hardware which supports vertex and fragment
 shader is needed for this plugin.

Package: mupen64plus-video-z64-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 mupen64plus-video-z64 (= ${binary:Version}),
Description: low-level rdp emulation for mupen64plus debug symbols package
 N64 Reality Drawing Processor emulation which can be used with a low-level
 rsp emulation plugin like mupen64plus-rsp-z64. It can emulate even unknown or
 uncommon microcodes, but cannot benefit from faster implementation for the
 host cpu.
 .
 A fast processor and graphics hardware which supports vertex and fragment
 shader is needed for this plugin.
 .
 This package contains the debug files.
