## mupen64plus-video-z64 1.99.4+29+901fe271524a

=== debian/changelog ===
mupen64plus-video-z64 (1.99.4+29+901fe271524a-1) experimental; urgency=low

  * New upstream snapshot from revision 901fe271524a2ba372f66552eb17af31316b8083
  * debian/patches:
    - Rebase printf_fixup.patch against 1.99.4+29+901fe271524a

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 21:50:14 +0100

mupen64plus-video-z64 (1.99.4+24+81f51799ae45-1) experimental; urgency=low

  * New upstream snapshot from revision 81f51799ae4560b8a3b644ba992d0ddd747464ac
  * debian/control:
    - Depend on mupen64plus-*-abi-2
    - Build-Depend on libmupen64plus-dev >= 1.99.4+77+8bb0e6b3ae3a-1
  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82
  * debian/patches:
    - Remove upstream merged patch rewrite_makefile.patch
    - Rebase printf_fixup.patch against 1.99.4+24+81f51799ae45
  * Add debian/get-orig-source.sh for snapshots

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Aug 2011 17:07:17 +0200

mupen64plus-video-z64 (1.99.4-4) unstable; urgency=low

  * debian/control:
    - Add virtual package libsdl-dev as alternative build dependency
  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:50:51 +0100
