=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
 Build-Depends:
  debhelper (>= 8.1.3),
  dpkg-dev (>= 1.16.0),
- hardening-includes,
  libgl1-mesa-dev | libgl-dev,
  libglew1.6-dev | libglew-dev,
- libmupen64plus-dev,
- libsdl1.2-dev,
+ libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ libsdl1.2-dev | libsdl-dev,
  pkg-config,
 
 Package: mupen64plus-video-z64
@@ -27,7 +26,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  mupen64plus-rsp-z64,
- mupen64plus-video-abi-1,
+ mupen64plus-video-abi-2,
 Provides:
  mupen64plus-video,
 Description: low-level rdp emulation for mupen64plus
