## mupen64plus-video-z64 1.99.4+30+daa3f1b2fe76

=== debian/changelog ===
mupen64plus-video-z64 (1.99.4+30+daa3f1b2fe76-3) unstable; urgency=low

  * debian/patches:
    - Add gcc_lto.patch, Enable support for link-time optimization
    - Add uninitialized_restorefbid.patch, Workaround wrong gcc warning about
      uninitialized variable
    - Add mixed_signedness.patch, Fix mixing of signedness

 -- Sven Eckelmann <sven@narfation.org>  Sat, 09 Jun 2012 01:39:27 +0200

mupen64plus-video-z64 (1.99.4+30+daa3f1b2fe76-2) unstable; urgency=low

  [ Simon Ruderich ]
  * Let debhelper set the buildflags implicitly

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 May 2012 00:24:25 +0200

mupen64plus-video-z64 (1.99.4+30+daa3f1b2fe76-1) unstable; urgency=low

  * New upstream snapshot from revision daa3f1b2fe768e35694e572f4ba74325e7480547
  * Update copyright years in debian/copyright
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Upgrade debhelper compat to v9
  * Use buildflags.mk to set security flags in debian/rules
  * Switch from libglew1.6-dev to libglew-dev

 -- Sven Eckelmann <sven@narfation.org>  Sat, 17 Mar 2012 20:43:30 +0100
