=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-z64.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-z64.git
 Build-Depends:
- debhelper (>= 8.1.3),
- dpkg-dev (>= 1.16.0),
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
  libgl1-mesa-dev | libgl-dev,
- libglew1.6-dev | libglew-dev,
- libmupen64plus-dev (>= 1.99.4+77+8bb0e6b3ae3a),
+ libglew-dev,
+ libmupen64plus-dev (>= 1.99.5),
  libsdl1.2-dev | libsdl-dev,
  pkg-config,
 
@@ -25,8 +24,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ mupen64plus-config-abi-2.2,
+ mupen64plus-gfx-abi-2.1,
  mupen64plus-rsp-z64,
- mupen64plus-video-abi-2,
+ mupen64plus-vidext-abi-2,
 Provides:
  mupen64plus-video,
 Description: low-level rdp emulation for mupen64plus
