=== debian/changelog ===
mupen64plus-video-z64 (2.0.0-1build1) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:22:48 +0000

mupen64plus-video-z64 (2.0.0-1) unstable; urgency=low

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Build-Depend on debhelper 9.20130604 for support of parameters when
      detecting targets in dh_auto_*
  * debian/rules:
    - Work around new debhelper 9.20130624 dh_auto_{clean,test} behavior
      which is causing a FTBFS by adding an explicit
      override_dh_auto_{clean,test} rule
  * debian/patches:
    - Remove upstream merged sdl2_compat.patch
  * debian/watch:
    - Verify new upstream versions using GPG key E05E608A04EF22F7596B

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2013 01:32:13 +0200

mupen64plus-video-z64 (1.99.5+24+f331e66fc630-2) experimental; urgency=low

  * debian/rules:
    - Switch from SDL 1.2 to SDL 2.0
  * debian/control:
    - Depend on libsdl2-dev instead of libsdl1.2-dev
    - Add Break for pre-SDL2 libmupen64plus2
  * debian/patches:
    - Add sdl2_compat.patch, Add missing name when creating thread with SDL2

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Jun 2013 13:26:39 +0200

mupen64plus-video-z64 (1.99.5+24+f331e66fc630-1) experimental; urgency=low

  * New Upstream Snapshot from f331e66fc630f5a83f0be01fdb2ed87a1c433ccb
  * Enable link-time optimization in debian/rules similar to upstream
  * debian/control:
    - Depend on mupen64plus-vidext-abi-3
    - Depend on mupen64plus-gfx-abi-2.2
    - Depend on mupen64plus-dev >= 1.99.5+207+cbb5cbe2d4fc

 -- Sven Eckelmann <sven@narfation.org>  Wed, 05 Jun 2013 13:26:59 +0200

mupen64plus-video-z64 (1.99.5+18+7c782be6fc7c-1) experimental; urgency=low

  * New upstream snapshot from revision 7c782be6fc7c59ce333dcaa040e128e1dea478c7
  * Disable extra debug code in release builds with -DNDEBUG in
    debian/rules
  * debian/patches:
    - Rebase printf_fixup.patch on top of 1.99.5+18+7c782be6fc7c

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Feb 2013 10:16:50 +0100

mupen64plus-video-z64 (1.99.5+4+ee66eddb472a-1) experimental; urgency=low

  * New upstream snapshot from revision ee66eddb472a3dcfa5558df95352bf9c78d1aa29
  * Remove obsolete DM-Upload-Allowed in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 02 Dec 2012 22:34:28 +0100
