=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: mupen64plus-video-z64
 Section: games
 Priority: optional
-Maintainer: Tobias Loose <TobiasLoose@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tobias Loose <TobiasLoose@gmx.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
 Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mupen64plus/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mupen64plus-video-z64.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mupen64plus-video-z64.git
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20130604),
  dpkg-dev (>= 1.16.1.1),
  libgl1-mesa-dev | libgl-dev,
  libglew-dev,
- libmupen64plus-dev (>= 1.99.5),
- libsdl1.2-dev | libsdl-dev,
+ libmupen64plus-dev (>= 2.0),
+ libsdl2-dev,
  pkg-config,
 
 Package: mupen64plus-video-z64
@@ -25,11 +26,13 @@
  ${misc:Depends},
  ${shlibs:Depends},
  mupen64plus-config-abi-2.2,
- mupen64plus-gfx-abi-2.1,
+ mupen64plus-gfx-abi-2.2,
  mupen64plus-rsp-z64,
- mupen64plus-vidext-abi-2,
+ mupen64plus-vidext-abi-3,
 Provides:
  mupen64plus-video,
+Breaks:
+ libmupen64plus2 (<< 2.0),
 Description: low-level rdp emulation for mupen64plus
  N64 Reality Drawing Processor emulation which can be used with a low-level
  rsp emulation plugin like mupen64plus-rsp-z64. It can emulate even unknown or
